%define oname	gstreamer
%define api	0.10
%define name	%{oname}%{api}
%define version	0.10.36
%define rel	7
%define vname	%{oname}10

%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define gi_name		%mklibname gst-gir %{api}
%define libnamedev	%mklibname -d %{name}
%define _glib2		2.2.0
%define _libxml2	2.4.0
%define build_docs 	1

Name: 		%{name}
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%{version}
Release: 	%mkrel %{rel}
License: 	LGPLv2+
Group: 		System/Libraries
URL:            http://gstreamer.freedesktop.org/
Source0: 	http://gstreamer.freedesktop.org/src/gstreamer/%{oname}-%{version}.tar.bz2
Source1:	gstreamer.prov
Patch0:		gstreamer-inspect-rpm-format.patch
# (cjw) a test expects a segfault but glib detects the problem and aborts
Patch1:		gstreamer-test-glib-abort.patch
Patch2:		gstreamer-0.10.36-bison-3.0.patch
Patch3:		gstreamer-0.10.36-automake-1.13.patch
BuildRequires: 	glib2-devel >= %{_glib2}
BuildRequires: 	libxml2-devel >= %{_libxml2}
BuildRequires:  gobject-introspection-devel
BuildRequires:	popt-devel
BuildRequires:	gettext-devel
BuildRequires:  libcheck-devel
BuildRequires:  chrpath
BuildRequires:  bison
BuildRequires:  flex

%ifnarch %arm %mips
BuildRequires:  valgrind-devel
%endif

%ifarch %ix86
BuildRequires: 	nasm => 0.90
%endif

%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	transfig
BuildRequires:  docbook-dtd42-xml
BuildRequires:  docbook-dtd412-xml
BuildRequires:  ghostscript
BuildRequires:  python-pyxml
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary:	GStreamer Streaming-media framework runtime
Group:		Video/Utilities
Provides:	%{vname}-tools = %{version}-%{release}

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n %{libname}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Requires:	%{name}-tools >= %{version}-%{release}
Provides:	libgstreamer%{api} = %{version}-%{release}
Obsoletes:	%mklibname %{oname} 0.10 0.10

%description -n %{libname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %{gi_name}
Summary:	GObject Introspection interface libraries for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-3

%description -n %{gi_name}
GObject Introspection interface libraries for %{name}.

%package -n %{libnamedev}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Conflicts:	gir-repository < 0.6.5-3
Requires:	%{libname} = %{version}-%{release}
Requires:	libglib2-devel
Requires:	libxml2-devel
Requires:	rpm-mageia-setup >= 1.115
Requires:	%{name}-tools = %{version}-%{release}
Provides:	libgstreamer-devel = %{version}-%{release}
Provides:	gstreamer%{api}-devel = %{version}-%{release}

%description -n %{libnamedev}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
./autogen.sh
# Force arch-specific libexecdir, since we want to have arch specific
# gst-plugin-scanner binaries. -Anssi 01/2013
%configure2_5x \
	--libexecdir="%{_libdir}" \
	--enable-debug \
	--disable-static \
	--disable-dependency-tracking \
	--with-package-name='%_vendor %{name} package' \
	--with-package-origin='http://bugs.%_vendor.org/' \
	--disable-tests \
	--disable-examples \
	--disable-rpath \
%if %build_docs
	--enable-docbook \
	--enable-gtk-doc \
%else	
	--disable-docbook \
	--disable-gtk-doc \
%endif
%ifarch %mips
	--disable-valgrind \
%endif
	--with-html-dir=%{_datadir}/gtk-doc/html

make

%check
cd tests/check
make check

%install
%makeinstall_std

mkdir -p %{buildroot}%{_var}/cache/%{oname}-%{api}

#clean the files we don't want to install 
rm -f %{buildroot}%{_libdir}/%{oname}-%{api}/*.la
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/gst-feedback
rm -f %{buildroot}%{_bindir}/gst-inspect
rm -f %{buildroot}%{_bindir}/gst-launch
rm -f %{buildroot}%{_bindir}/gst-md5sum
rm -f %{buildroot}%{_bindir}/gst-typefind
rm -f %{buildroot}%{_bindir}/gst-xmlinspect
rm -f %{buildroot}%{_bindir}/gst-xmllaunch

%find_lang %{oname}-%{api}

%if %build_docs
mv %{buildroot}%{_datadir}/doc/%{oname}-%{api}/ installed-docs
%endif

#gw really remove rpath for rpmlint
chrpath -d %{buildroot}{%_bindir/gst-{inspect,launch,typefind,xmlinspect,xmllaunch}-0.10,%_libdir/{*.so,%{oname}-%{api}/*.so}}

# Add the provides script
install -m0755 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/rpm/%{_real_vendor}/gstreamer.prov

%files tools -f %{oname}-%{api}.lang
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{api}
%{_bindir}/gst-feedback-%{api}
%{_bindir}/gst-inspect-%{api}
%{_bindir}/gst-launch-%{api}
%{_bindir}/gst-typefind-%{api}
%{_bindir}/gst-xmlinspect-%{api}
%{_bindir}/gst-xmllaunch-%{api}
%{_mandir}/man1/gst-feedback-%{api}.1*
%{_mandir}/man1/gst-inspect-%{api}.1*
%{_mandir}/man1/gst-launch-%{api}.1*
%{_mandir}/man1/gst-typefind-%{api}.1*
%{_mandir}/man1/gst-xmlinspect-%{api}.1*
%{_mandir}/man1/gst-xmllaunch-%{api}.1*

%files -n %{libname}
%dir %{_libdir}/%{oname}-%{api}
%{_libdir}/libgstbase-%{api}.so.%{major}*
%{_libdir}/libgstcheck-%{api}.so.%{major}*
%{_libdir}/libgstdataprotocol-%{api}.so.%{major}*
%{_libdir}/libgstreamer-%{api}.so.%{major}*
%{_libdir}/libgstnet-%{api}.so.%{major}*
%{_libdir}/libgstcontroller-%{api}.so.%{major}*
%{_libdir}/%{oname}-%{api}/gst-plugin-scanner
%{_libdir}/%{oname}-%{api}/libgstcoreelements.so
%{_libdir}/%{oname}-%{api}/libgstcoreindexers.so

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gst-%{api}.typelib
%{_libdir}/girepository-1.0/GstBase-%{api}.typelib
%{_libdir}/girepository-1.0/GstCheck-%{api}.typelib
%{_libdir}/girepository-1.0/GstController-%{api}.typelib
%{_libdir}/girepository-1.0/GstNet-%{api}.typelib


%files -n %{libnamedev}
%doc ChangeLog

%if %build_docs
%doc installed-docs/*
%endif

%{_prefix}/lib/rpm/%{_real_vendor}/gstreamer.prov
%dir %{_includedir}/%{oname}-%{api}
%dir %{_includedir}/%{oname}-%{api}/gst
%{_includedir}/%{oname}-%{api}/gst/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/base/
%{_includedir}/%{oname}-%{api}/gst/base/*.h
%{_includedir}/%{oname}-%{api}/gst/check/
%dir %{_includedir}/%{oname}-%{api}/gst/controller/
%{_includedir}/%{oname}-%{api}/gst/controller/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/dataprotocol/
%{_includedir}/%{oname}-%{api}/gst/dataprotocol/*.h
%{_includedir}/%{oname}-%{api}/gst/net/
%{_libdir}/libgstbase-%{api}.so
%{_libdir}/libgstcheck-%{api}.so
%{_libdir}/libgstdataprotocol-%{api}.so
%{_libdir}/libgstreamer-%{api}.so
%{_libdir}/libgstnet-%{api}.so
%{_libdir}/libgstcontroller-%{api}.so
%{_datadir}/aclocal/gst-element-check-%{api}.m4
%{_libdir}/pkgconfig/gstreamer-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-check-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-net-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{api}.pc
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/Gst-%{api}.gir
%{_datadir}/gir-1.0/GstBase-%{api}.gir
%{_datadir}/gir-1.0/GstCheck-%{api}.gir
%{_datadir}/gir-1.0/GstController-%{api}.gir
%{_datadir}/gir-1.0/GstNet-%{api}.gir


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.10.36-7.mga4
+ Revision: 534297
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 0.10.36-6.mga4
+ Revision: 477144
- use autogen
- use upstream patch
- use autoreconf
- fix build with bison 3.0

* Sat Jan 12 2013 umeabot <umeabot> 0.10.36-5.mga3
+ Revision: 352715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 anssi <anssi> 0.10.36-4.mga3
+ Revision: 338747
- use arch-specific libexecdir since we want to have arch specific
  gst-plugin-scanner binaries

* Fri Jan 04 2013 cjw <cjw> 0.10.36-3.mga3
+ Revision: 338651
- patch3: fix build with automake 1.13
- fix filelist for libexecdir

* Sat Dec 01 2012 cjw <cjw> 0.10.36-2.mga3
+ Revision: 324191
- do not use old "Sound" rpm group
- patch1: fix a glib test for new glib
- build docs

* Sat Feb 25 2012 fwang <fwang> 0.10.36-1.mga2
+ Revision: 214523
- update file list
- new version 0.10.36

* Sat Jul 09 2011 cjw <cjw> 0.10.35-3.mga2
+ Revision: 121290
- fix library package name
- move gobject introspection typelibs to a separate subpackage
- rebuild for automatic typelib provides and deps

* Mon Jun 20 2011 ahmad <ahmad> 0.10.35-2.mga2
+ Revision: 110665
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Mon Jun 20 2011 wally <wally> 0.10.35-1.mga2
+ Revision: 110623
- new version 0.10.35
- drop buildroot definition

* Sun Jan 23 2011 wally <wally> 0.10.32-1.mga1
+ Revision: 34272
- new version 0.10.32
- remove some old provides/obsoletes
- clean .spec

  + dmorgan <dmorgan>
    - Fix bugzilla URL
    - Replace mandriva by mageia
    - Remove mdv macros
      Do not build docs for the moment
    - imported package gstreamer0.10


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 0.10.31-1mdv2011.0
+ Revision: 604236
- update to new version 0.10.31

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-5mdv2011.0
+ Revision: 593303
- finaly fix typo of prov script

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-4mdv2011.0
+ Revision: 593298
- fix provides script
- add requires on tools package so that find provides could work correctly

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-3mdv2011.0
+ Revision: 593274
- force versioned requires for updated find-provides

* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 0.10.30.2-2mdv2011.0
+ Revision: 591797
- add fedora patch and gstreamer.prov for rpm provides to satisfy packagekit

* Thu Oct 21 2010 Götz Waschk <waschk@mandriva.org> 0.10.30.2-1mdv2011.0
+ Revision: 587153
- new prerelease
- drop patches

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.10.30-3mdv2011.0
+ Revision: 578925
- fix tabs in makefiles
- fix build with new gobject-introspection

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.30-2mdv2011.0
+ Revision: 563304
- rebuild for new gobject-introspection

* Thu Jul 15 2010 Götz Waschk <waschk@mandriva.org> 0.10.30-1mdv2011.0
+ Revision: 553549
- new version

* Wed Apr 28 2010 Götz Waschk <waschk@mandriva.org> 0.10.29-1mdv2010.1
+ Revision: 539966
- update to new version 0.10.29

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 0.10.28.3-0.1mdv2010.1
+ Revision: 539620
- new prerelease needed for totem 2.30.1

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.10.28-1mdv2010.1
+ Revision: 516853
- update to new version 0.10.28

* Sun Mar 07 2010 Funda Wang <fwang@mandriva.org> 0.10.27-1mdv2010.1
+ Revision: 515320
- update to new version 0.10.27

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 0.10.26-1mdv2010.1
+ Revision: 504140
- new version

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 0.10.25.2-1mdv2010.1
+ Revision: 497202
- new prerelease
- update file list

* Tue Oct 06 2009 Götz Waschk <waschk@mandriva.org> 0.10.25-2mdv2010.0
+ Revision: 454452
- add conflicts with old gir-repository

* Mon Oct 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.25-1mdv2010.0
+ Revision: 454164
- new version
- add introspection support

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 0.10.24-2mdv2010.0
+ Revision: 448975
- disable valgrin on mips & arm (from Arnaud Patard)

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.24-1mdv2010.0
+ Revision: 409939
- update to new version 0.10.24

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.10.23-1mdv2010.0
+ Revision: 374128
- new version
- drop patch
- drop old configure options
- update file list

* Tue Mar 24 2009 Götz Waschk <waschk@mandriva.org> 0.10.22-2mdv2009.1
+ Revision: 360826
- possible fix for a crash in pidgin (bug #49003)

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 0.10.22-1mdv2009.1
+ Revision: 331622
- fix build deps
- update license
- update to new version 0.10.22

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.10.21-1mdv2009.1
+ Revision: 291922
- reenable docs build
- new version
- drop patch

* Fri Aug 08 2008 Götz Waschk <waschk@mandriva.org> 0.10.20-3mdv2009.0
+ Revision: 267814
- rebuild

* Thu Aug 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.20-2mdv2009.0
+ Revision: 266430
- Remove patch0 (obsolete)
- Patch0: ensure translated strings are in UTF-8 (GNOME bug #546822)

* Wed Jun 18 2008 Götz Waschk <waschk@mandriva.org> 0.10.20-1mdv2009.0
+ Revision: 225671
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.10.19-1mdv2009.0
+ Revision: 192414
- new version

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.10.17-3mdv2008.1
+ Revision: 187333
- add Mandriva branding

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.10.17-2mdv2008.1
+ Revision: 165734
- really really remove rpaths
- really remove rpath
- fix rpmlint errors
- fix devel provides according to the blino policy

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 0.10.17-1mdv2008.1
+ Revision: 160267
- new version

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 0.10.16-1mdv2008.1
+ Revision: 159656
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Götz Waschk <waschk@mandriva.org> 0.10.15-1mdv2008.1
+ Revision: 109113
- new version

* Fri Aug 03 2007 Götz Waschk <waschk@mandriva.org> 0.10.14-1mdv2008.0
+ Revision: 58626
- new version
- new devel name
- disable docs build

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.10.13-2mdv2008.0
+ Revision: 36171
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version


* Thu Mar 08 2007 Götz Waschk <waschk@mandriva.org> 0.10.12-1mdv2007.1
+ Revision: 138421
- new version
- drop patch 0

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.10.11-4mdv2007.1
+ Revision: 115063
- rebuild for new libcheck

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.10.11-3mdv2007.1
+ Revision: 112749
- patch to fix upstream bug 391777 (SIGSEGV handler in mono apps)

* Sun Dec 10 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.11-2mdv2007.1
+ Revision: 94444
- patch1: fix lib/gdp test for ppc

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.11-1mdv2007.1
+ Revision: 91976
- enable checks
- fix buildrequires
- new version
- update file list
- Import gstreamer0.10

* Sat Sep 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdv2007.0
- New version 0.10.10

* Mon Jul 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-1
- New release 0.10.9

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 0.10.8-1
- New release 0.10.8

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdk
- New release 0.10.7

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdk
- New release 0.10.6

* Sun Apr 30 2006 Gtz Waschk <waschk@mandriva.org> 0.10.5-1mdk
- update file list
- New release 0.10.5

* Sat Mar 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdk
- New release 0.10.4

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdk
- New release 0.10.3

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- New release 0.10.2

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-2mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- New release 0.10.1
- use mkrel

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix libname

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- fix package naming to be parallel installable
- New release 0.10.0
- update file list
- new major

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-2mdk
- fix prereq

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-1mdk 
- Release 0.8.11

* Mon Aug 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.10-2mdk
- Fix provide

* Wed May 04 2005 Gtz Waschk <waschk@mandriva.org> 0.8.10-1mdk
- New release 0.8.10

* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- New release 0.8.9

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- New release 0.8.8

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.2-1mdk
- add new file
- drop merged patch 0
- New prerelease 0.8.7.2

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.7-3mdk
- Rebuild for new python

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-2mdk
- Patch0 (CVS): fix URI escaping

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- New release 0.8.7

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.5-2mdk
- Call gst-register in lib package scripts since main package no longer exists

* Tue Aug 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- add gst-xmlinspect man page
- drop merged patch
- New release 0.8.4

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-3mdk
- reenable docs
- replace patch with solution from CVS

* Sun Jun 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.3-2mdk
- add BuildRequires: gettext-devel

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- disable docs
- update patch with a different fix
- new version

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.3-1mdk
- new prerelease

* Sat May 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-2mdk
- reenable docs
- fix crash of all gstreamer apps (d'Oh)

* Thu May 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- update file list
- reallow libtoolize
- disable docs build, there was some problem
- drop patch
- fix URL
- New release 0.8.1.2

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix doc listing

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix file list
- new version

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- provide and obsolete gstreamer to fix upgrades

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- include unversioned command line tools
- rename package from gstreamer0.7
- new major
- fix post call
- new version

